mlbench.waveform {mlbench} | R Documentation

## Waveform Database Generator (written in C)

### Description

The generated data set consists of 21 attributes with continuous values and a variable showing the 3 classes (33% for each of 3 classes). Each class is generated from a combination of 2 of 3 "base" waves.

### Usage

      mlbench.waveform(n)

### Arguments

`n` | number of patterns to create

### Value

Returns an object of class `"mlbench.waveform"` with components

`x` | input values
`classes` | factor vector of length `n` with target classes

### References

Breiman, L. (1996). Bias, variance, and arcing classifiers. Tech. Rep. 460, Statistics Department, University of California, Berkeley, CA, USA.

### Examples

      p<-mlbench.waveform(100)
      plot(p)

[Package mlbench version 1.1-0 Index]